## R Scripts

* `Boosted_HP.R`: An R function that implements boosted HP filter. 

* `DGP_sto.R`: An R function that generates LUR processes. 

* `Simul_HP.R`: An R function that implements the simulations.

* `Simul_n100.R`: A main script that runs simulations for quarterly data under I(2) trends and n = 100 and generates temporary RDS and csv files. Simulations for other sample sizes are similar. The results replicate the left panel of Table 1.

* `Simul_n300_month.R`: A main script that runs simulations for monthly under I(2) trends and n = 300 and generates temporary RDS and csv files. Simulations for other sample sizes are similar. The results replicate the right panel of Table 1. 

* `Simul_n100_LUR.R`: A main script that runs simulations for quarterly data under LUR trends and n = 100 and generates temporary RDS and csv files. Simulations for other sample sizes are similar. The results replicate the upper panel of Table 2.

* `Simul_n300_month_LUR.R`: A main script that runs simulations for monthly data under LUR trends and n = 300 and generates temporary RDS and csv files. Simulations for other sample sizes are similar. The results replicate the lower panel of Table 2.

* `Simul_n100_adaptive.R`: A main script that runs simulations with an adaptively selected smoothing parameter under n = 100 and generates temporary RDS and csv files. Simulations for other sample sizes are similar. The results replicate Table B.1.

* `SummarizeResults.R`: Summarize the results into csv files stored in the `Results_present` folder. `Quarter_I2.csv`  and `Month_I2.csv` replicate Table 1; `Quarter_LUR.csv`  and `Month_LUR.csv` replicate Table 2; `Adaptive_LUR.csv` replicates Table B.1.  

  

  

