
DGP_LUR = function( n, sd, alpha0 = 0.5, c = 0){
  # generate the stochastic trend 
  # f0 = cumsum( cumsum( rnorm( n ) ) ) ###!!! Notice this line of change
  
  # f0 = arima.sim(n, model=list(ar = ar_coef))
  # f0 = cumsum( cumsum( rnorm( n ) ) )
  
  discard = 50
  nd = n+discard
  
  ar_coef = exp(c/n)
  v =  rnorm( nd ) # the error term
  f0 = rep(v[1],nd )
  for (nn in 2:nd){
    f0[nn] = ar_coef * f0[nn-1] + v[nn]
  }

  f0 = f0[ (discard + 1): nd]
  
  return( f0 )
}